Panel

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Data Structures | Typedefs | Enumerations | Functions
Panel

A panel is an animated side-panel that contains a sub-object. It can be expanded or contracted by clicking the button on its edge. More...

## Data Structures
struct | _Elm_Panel_Scroll_Info
| Panel scroll information. More...

## Typedefs
typedef struct _Elm_Panel_Scroll_Info | Elm_Panel_Scroll_Info
| Panel scroll information. More...

## Enumerations

## Functions
EOAPI void | elm_obj_panel_orient_set (Elm_Panel_Orient orient)
| Set the orientation of the panel. More...
EOAPI Elm_Panel_Orient | elm_obj_panel_orient_get (void)
| Get the orientation of the panel. More...
EOAPI void | elm_obj_panel_hidden_set (Eina_Bool hidden)
| Set the state of the panel. More...
EOAPI Eina_Bool | elm_obj_panel_hidden_get (void)
| Get the state of the panel. More...
EOAPI void | elm_obj_panel_scrollable_set (Eina_Bool scrollable)
| Set the scrollability of the panel. More...
EOAPI Eina_Bool | elm_obj_panel_scrollable_get (void)
| Get the state of the scrollability. More...
EOAPI void | elm_obj_panel_scrollable_content_size_set (double ratio)
| Set the size of the scrollable panel. More...
EOAPI void | elm_obj_panel_toggle (void)
| Toggle the hidden state of the panel from code.
void | elm_panel_orient_set (Elm_Panel *obj, Elm_Panel_Orient orient)
| Set the orientation of the panel. More...
Elm_Panel_Orient | elm_panel_orient_get (const Elm_Panel *obj)
| Get the orientation of the panel. More...
void | elm_panel_hidden_set (Elm_Panel *obj, Eina_Bool hidden)
| Set the state of the panel. More...
Eina_Bool | elm_panel_hidden_get (const Elm_Panel *obj)
| Get the state of the panel. More...
void | elm_panel_scrollable_set (Elm_Panel *obj, Eina_Bool scrollable)
| Set the scrollability of the panel. More...
Eina_Bool | elm_panel_scrollable_get (const Elm_Panel *obj)
| Get the state of the scrollability. More...
void | elm_panel_scrollable_content_size_set (Elm_Panel *obj, double ratio)
| Set the size of the scrollable panel. More...
void | elm_panel_toggle (Elm_Panel *obj)
| Toggle the hidden state of the panel from code.
Evas_Object * | elm_panel_add (Evas_Object *parent)
| Adds a panel object. More...

## Detailed Description

A panel is an animated side-panel that contains a sub-object. It can be expanded or contracted by clicking the button on its edge.

Orientations are as follows:

- #ELM_PANEL_ORIENT_TOP
- ELM_PANEL_ORIENT_LEFT
- ELM_PANEL_ORIENT_RIGHT
- ELM_PANEL_ORIENT_BOTTOM

This widget inherits from the Layout one, so that all the functions acting on it also work for panel objects (since 1.8).

This widget emits the following signals, besides the ones sent from Layout:

- `"scroll"` : When the content has been scrolled (moved). (since 1.10) This signal is emitted only when the panel is scrollable. Elm_Panel_Scroll_Info will be passed by `event_info` argument.
- `"focused"` : When the panel has received focus. (since 1.8)
- `"unfocused"` : When the panel has lost focus. (since 1.8)

Default content parts of the panel widget that you can use are:

- `"default"` - A content of the panel

Panel example shows one way to use this widget.

## Typedef Documentation

typedef struct _Elm_Panel_Scroll_Info Elm_Panel_Scroll_Info

Panel scroll information.

Since
  1.11

## Enumeration Type Documentation

enum Elm_Panel_Orient

Panel orientation mode.

Enumerator
ELM_PANEL_ORIENT_BOTTOM | Panel (dis)appears from the top.
ELM_PANEL_ORIENT_LEFT | Panel (dis)appears from the bottom.
ELM_PANEL_ORIENT_RIGHT | Panel (dis)appears from the left. Panel (dis)appears from the right
ELM_PANEL_ORIENT_BOTTOM | Panel (dis)appears from the top.
ELM_PANEL_ORIENT_LEFT | Panel (dis)appears from the bottom.
ELM_PANEL_ORIENT_RIGHT | Panel (dis)appears from the left. Panel (dis)appears from the right

enum Elm_Panel_Orient

Panel orientation mode.

Enumerator
ELM_PANEL_ORIENT_BOTTOM | Panel (dis)appears from the top.
ELM_PANEL_ORIENT_LEFT | Panel (dis)appears from the bottom.
ELM_PANEL_ORIENT_RIGHT | Panel (dis)appears from the left. Panel (dis)appears from the right
ELM_PANEL_ORIENT_BOTTOM | Panel (dis)appears from the top.
ELM_PANEL_ORIENT_LEFT | Panel (dis)appears from the bottom.
ELM_PANEL_ORIENT_RIGHT | Panel (dis)appears from the left. Panel (dis)appears from the right

## Function Documentation

EOAPI Eina_Bool elm_obj_panel_hidden_get | ( | void |  | ) |

Get the state of the panel.

Returns
  If true, the panel will run the animation to disappear.

Referenced by elm_panel_hidden_get().

EOAPI void elm_obj_panel_hidden_set | ( | Eina_Bool | hidden | ) |

Set the state of the panel.

Parameters

  [in] | hidden | If true, the panel will run the animation to disappear.

Referenced by elm_panel_hidden_set().

EOAPI Elm_Panel_Orient elm_obj_panel_orient_get | ( | void |  | ) |

Get the orientation of the panel.

Returns
  The panel orientation.

Referenced by elm_panel_orient_get().

EOAPI void elm_obj_panel_orient_set | ( | Elm_Panel_Orient | orient | ) |

Set the orientation of the panel.

Set from where the panel will (dis)appear.

Parameters

  [in] | orient | The panel orientation.

Referenced by elm_panel_orient_set().

EOAPI void elm_obj_panel_scrollable_content_size_set | ( | double | ratio | ) |

Set the size of the scrollable panel.

Parameters

  [in] | ratio |

Referenced by elm_panel_scrollable_content_size_set().

EOAPI Eina_Bool elm_obj_panel_scrollable_get | ( | void |  | ) |

Get the state of the scrollability.

Returns
  The scrollable state.

Since
  1.12

Referenced by elm_panel_scrollable_get().

EOAPI void elm_obj_panel_scrollable_set | ( | Eina_Bool | scrollable | ) |

Set the scrollability of the panel.

Parameters

  [in] | scrollable | The scrollable state.

Referenced by elm_panel_scrollable_set().

Evas_Object* elm_panel_add | ( | Evas_Object * | parent | ) |

Adds a panel object.

Parameters

  parent | The parent object

Returns
  The panel object, or NULL on failure

References elm_layout_add(), elm_layout_content_set(), elm_layout_content_unset(), elm_layout_signal_emit(), elm_layout_sizing_eval(), elm_object_scale_get(), ELM_PANEL_ORIENT_BOTTOM, ELM_PANEL_ORIENT_LEFT, ELM_PANEL_ORIENT_RIGHT, ELM_SCROLLER_MOVEMENT_BLOCK_HORIZONTAL, and ELM_SCROLLER_MOVEMENT_BLOCK_VERTICAL.

Eina_Bool elm_panel_hidden_get | ( | const Elm_Panel * | obj | ) |

Get the state of the panel.

Returns
  If true, the panel will run the animation to disappear.

References elm_obj_panel_hidden_get().

void elm_panel_hidden_set | ( | Elm_Panel * | obj,
|  | Eina_Bool | hidden
| ) |  |

Set the state of the panel.

Parameters

  [in] | hidden | If true, the panel will run the animation to disappear.

References elm_obj_panel_hidden_set().

Elm_Panel_Orient elm_panel_orient_get | ( | const Elm_Panel * | obj | ) |

Get the orientation of the panel.

Returns
  The panel orientation.

References elm_obj_panel_orient_get().

void elm_panel_orient_set | ( | Elm_Panel * | obj,
|  | Elm_Panel_Orient | orient
| ) |  |

Set the orientation of the panel.

Set from where the panel will (dis)appear.

Parameters

  [in] | orient | The panel orientation.

References elm_obj_panel_orient_set().

void elm_panel_scrollable_content_size_set | ( | Elm_Panel * | obj,
|  | double | ratio
| ) |  |

Set the size of the scrollable panel.

Parameters

  [in] | ratio |

References elm_obj_panel_scrollable_content_size_set().

Eina_Bool elm_panel_scrollable_get | ( | const Elm_Panel * | obj | ) |

Get the state of the scrollability.

Returns
  The scrollable state.

Since
  1.12

References elm_obj_panel_scrollable_get().

void elm_panel_scrollable_set | ( | Elm_Panel * | obj,
|  | Eina_Bool | scrollable
| ) |  |

Set the scrollability of the panel.

Parameters

  [in] | scrollable | The scrollable state.

References elm_obj_panel_scrollable_set().